Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.jade
Class JadeEnvironment

    java.lang.Object
      jade.core.Agent
          jason.infra.jade.JadeAg
              jason.infra.jade.JadeEnvironment

All Implemented Interfaces:
  jade.core.TimerListener, EnvironmentInfraTier, java.io.Serializable, java.lang.Runnable

    public class JadeEnvironment

extends JadeAg
implements EnvironmentInfraTier

This class implements the Jade version of the environment infrastructure tier.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jade.core.Agent
`jade.core.Agent.Interrupted`

Field Summary
`static java.lang.String` | `actionOntology`
`static java.lang.String` | `perceptionOntology`

Fields inherited from class jason.infra.jade.JadeAg
`ASKALL, ASKHOW, conversationIds, running, rwid, TELLHOW, UNACHIEVE, UNTELL, UNTELLHOW`

Fields inherited from class jade.core.Agent
`AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

Constructor Summary
`JadeEnvironment()`

Method Summary
`void` | `actionExecuted(java.lang.String agName, Structure actTerm, boolean success, java.lang.Object infraData)` called by the user implementation of the environment when the action was executed
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`void` | `informAgsEnvironmentChanged(java.util.Collection<java.lang.String> agentsToNotify)` Sends a message to a set of agents notifying them that the environment has changed.
`void` | `informAgsEnvironmentChanged(java.lang.String... agents)` Sends a message to the given agents notifying them that the environment has changed (called by the user environment).
`void` | `setup()`
`protected void` | `takeDown()`

Methods inherited from class jason.infra.jade.JadeAg
`aclToKqml, addAllAgsAsReceivers, ask, broadcast, doDelete, isRunning, jasonToACL, kqmlToACL, sendMsg`

Methods inherited from class jade.core.Agent
`addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jason.environment.EnvironmentInfraTier
`isRunning`

Field Detail

### actionOntology

    public static java.lang.String actionOntology

### perceptionOntology

    public static java.lang.String perceptionOntology

Constructor Detail

### JadeEnvironment

    public JadeEnvironment()

Method Detail

### setup

    public void setup()

  Overrides:
    `setup` in class `jade.core.Agent`

### takeDown

    protected void takeDown()

  Overrides:
    `takeDown` in class `jade.core.Agent`

### actionExecuted

    public void actionExecuted(java.lang.String agName,
                               Structure actTerm,
                               boolean success,
                               java.lang.Object infraData)

  Description copied from interface: `EnvironmentInfraTier`
  called by the user implementation of the environment when the action was executed

  Specified by:
    `actionExecuted` in interface `EnvironmentInfraTier`

### informAgsEnvironmentChanged

    public void informAgsEnvironmentChanged(java.lang.String... agents)

  Description copied from interface: `EnvironmentInfraTier`
  Sends a message to the given agents notifying them that the environment has changed (called by the user environment). If no agent is informed, the notification is sent to all agents.

  Specified by:
    `informAgsEnvironmentChanged` in interface `EnvironmentInfraTier`

### informAgsEnvironmentChanged

    public void informAgsEnvironmentChanged(java.util.Collection<java.lang.String> agentsToNotify)

  Description copied from interface: `EnvironmentInfraTier`
  Sends a message to a set of agents notifying them that the environment has changed. The collection has the agents' names. (called by the user environment).

  Specified by:
    `informAgsEnvironmentChanged` in interface `EnvironmentInfraTier`

### getRuntimeServices

    public RuntimeServicesInfraTier getRuntimeServices()

  Description copied from interface: `EnvironmentInfraTier`
  Gets an object with infrastructure runtime services

  Specified by:
    `getRuntimeServices` in interface `EnvironmentInfraTier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD